#extension GL_OES_EGL_image_external : require

precision mediump float;

// A basic bitmap texture
uniform sampler2D cameraTex;

// Texture coordinates, ranging from (0, 0) at the bottom-left of the screen,
//   to (1, 1) at the top-right of the screen.
varying vec2 vTextureCoord;

// convert a texture to a 2x2 without any other processing
void main() {
    vec2 sampleCoord = mod(vTextureCoord * 2.0, 1.0);
    gl_FragColor = texture2D(cameraTex, sampleCoord);
}
